﻿using Przychodnia3.DAL;
using Przychodnia3.Models;
using Syncfusion.Mvc.Grid;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Przychodnia3.Controllers
{
    public class HomeController : Controller
    {
        Context db = new Context();
        public ActionResult Index()
        {
            ViewBag.Message = "Modify this template to jump-start your ASP.NET MVC application.";
            ViewData["NewsList"] = new StudentDataContext().Student.Take(10).ToList();
            return View();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Index(PagingParams args)
        {

            IEnumerable data = new StudentDataContext().Student.Take(10).ToList();

            return data.GridJSONActions<Student>(); //JSON mode

        }
        public ActionResult About()
        {
            
            return View();
        }

        //public ActionResult Index()
        //{
        //    ViewBag.Message = "Your contact page.";
        //    GridPropertiesModel<Student> model = new GridPropertiesModel<Student>()
        //    {
        //        DataSource = new StudentDataContext().Student.Take(10).ToList(),
        //        ShowCaption = false,
        //        AutoFormat = Syncfusion.Mvc.Shared.Skins.Marble

        //    };
        //    //var x = db.News.ToList();
        //    ViewData["GridModel"] = model;
        //    return View();
        //}
        public ActionResult RegisterOnline()
        {

            return View();
        }
    }
}
